checkpoint_dir: ./runs
comment: name
data:
  crop_bbox: true
  image_size:
  - 440
  - 440
  images_dir: null
  name_keys:
  - name
  preprocess_images:
    apply: false
    force_apply: false
    preprocessed_dir: null
  test:
    anno_path: /home/splits/EDA-msv2-big-drop-v1-blwhl-grf/instances_val2023.json
    checkpoint_path: wbia-plugin-miew-id/wbia_miew_id/runs/ms-v2/msv2-big-v3-drop-v2-blwhl-grf/model_best.bin
    eval_groups:
    - species
    n_filter_min: 2
    n_subsample_max: 10
  train:
    anno_path: /home/splits/EDA-msv2-big-drop-v1-blwhl-grf/instances_train2023.json
    n_filter_min: 3
    n_subsample_max: null
  use_full_image_path: true
  val:
    anno_path: /home/splits/EDA-msv2-big-drop-v1-blwhl-grf/instances_val2023.json
    n_filter_min: 2
    n_subsample_max: 10
  viewpoint_list: null
engine:
  device: cuda
  epochs: 30
  loss_module: arcface
  num_workers: 8
  seed: 42
  train_batch_size: 16
  use_swa: true
  use_wandb: true
  valid_batch_size: 12
exp_name: msv2-big-v3-drop-v2-blwhl-grf
model_params:
  dropout: 0
  fc_dim: 2048
  k: 3
  loss_module: arcface_subcenter_dynamic
  ls_eps: 0
  margin: 0.32841442327915477
  model_name: efficientnetv2_rw_m
  n_classes: 11203
  pretrained: true
  s: 51.960399844266306
  theta_zero: 0.785
  use_fc: false
project_name: ms-v2
scheduler_params:
  lr_decay: 0.8
  lr_max: 0.000896858981000587
  lr_min: 1.4135935551752292e-06
  lr_ramp_ep: 15
  lr_start: 4.7349893044994796e-05
  lr_sus_ep: 0
swa_params:
  swa_lr: 0.03524907749683658
  swa_start: 24
test:
  batch_size: 8
  fliplr: false
  fliplr_view: []
